View Issue Details

IDProjectCategoryView StatusLast Update
0001203PartDesignFeaturepublic2017-02-08 11:48
ReporterbejantAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.14 
Target VersionFixed in Version0.17 
Summary0001203: Allow User to Adjust Size of Constraint Points
DescriptionAllowing the user to enlarge the size of the red constraint points in Sketcher and Part Design would make the points easier to select when constraining a sketch, regardless of that users screen resolution.
 
Additional InformationExample is in this forum topic:
http://forum.freecadweb.org/viewtopic.php?f=3&t=4362&p=34298#p34226

and specifically this image:
http://farm3.staticflickr.com/2843/9438675728_b2344a0af7_c.jpg (see attached)
TagsNo tags attached.

Activities

bejant

2013-08-08 15:57

reporter   ~0003443

FreeCAD version is 0.14; this version was not selectable when reporting the issue.

bejant

2016-01-24 15:40

reporter   ~0006754

Hi Abdullah, I see this ticket is assigned to you. On high resolution displays, the line widths in Sketcher are narrow, making them hard to select too.
http://forum.freecadweb.org/viewtopic.php?f=3&t=13963

Can you include a way for the user to increase the line width too?

Thank you!

bejant

abdullah

2016-01-25 15:48

manager   ~0006755

When I look into it, I will handle both issues. Thanks for reporting this. :)

wmayer

2016-03-07 23:31

administrator   ~0006894

Forum thread about vertex size in sketcher:
http://forum.freecadweb.org/viewtopic.php?f=3&t=10908

Kunda1

2017-01-18 01:24

manager   ~0007859

fixed the forum link in the original ticket. Uploaded the screenshot to the ticket for easier comprehension

Kunda1

2017-01-18 01:24

manager  

9438675728_b2344a0af7_c.jpg (192,685 bytes)
9438675728_b2344a0af7_c.jpg (192,685 bytes)

Related Changesets

FreeCAD: master 4fcb93b6

2016-03-08 00:31:50

wmayer

Details Diff
+ issue 0001203: Allow User to Adjust Size of Constraint Points Affected Issues
0001203
mod - src/Gui/CMakeLists.txt Diff File
add - src/Gui/Inventor/MarkerBitmaps.cpp Diff File
add - src/Gui/Inventor/MarkerBitmaps.h Diff File
mod - src/Gui/SoFCDB.cpp Diff File
mod - src/Mod/Sketcher/Gui/SketcherSettings.cpp Diff File
mod - src/Mod/Sketcher/Gui/SketcherSettings.ui Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

FreeCAD: master f33c7b3f

2017-02-08 11:46:32

wmayer

Details Diff
issue 0001203: Allow User to Adjust Size of Constraint Points Affected Issues
0001203
mod - src/Gui/DlgSettingsViewColor.ui Diff File

Issue History

Date Modified Username Field Change
2013-08-07 17:39 bejant New Issue
2013-08-08 15:57 bejant Note Added: 0003443
2016-01-09 18:08 abdullah Assigned To => abdullah
2016-01-09 18:08 abdullah Status new => assigned
2016-01-24 15:40 bejant Note Added: 0006754
2016-01-25 15:48 abdullah Note Added: 0006755
2016-03-06 02:39 yorik Relationship added related to 0001226
2016-03-06 16:47 yorik Relationship deleted related to 0001226
2016-03-07 23:31 wmayer Note Added: 0006894
2016-03-07 23:32 wmayer Changeset attached => FreeCAD Master master 4fcb93b6
2017-01-18 01:24 Kunda1 Note Added: 0007859
2017-01-18 01:24 Kunda1 Product Version 0.13 => 0.14
2017-01-18 01:24 Kunda1 Additional Information Updated View Revisions
2017-01-18 01:24 Kunda1 File Added: 9438675728_b2344a0af7_c.jpg
2017-02-08 11:47 wmayer Changeset attached => FreeCAD Master master f33c7b3f
2017-02-08 11:48 wmayer Status assigned => closed
2017-02-08 11:48 wmayer Resolution open => fixed
2017-02-08 11:48 wmayer Fixed in Version => 0.17